Skip site navigation (1) Skip section navigation (2)

Re: Instalar postgresql-9.0.4 en debian 6.0

From: Luis <esteban(at)princesa(dot)pri(dot)sld(dot)cu>
To: pgsql-es-ayuda(at)postgresql(dot)org
Subject: Re: Instalar postgresql-9.0.4 en debian 6.0
Date: 2011-07-10 21:18:56
Message-ID: op.vye9huaptyhnfo@jerusalen (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
En Sun, 10 Jul 2011 17:08:23 -0400, Lazaro Rubén García Martinez  
<lgarciam(at)vnz(dot)uci(dot)cu> escribió:

> Hasta donde conozco, esa librería lo que te permite es recordar las  
> líneas SQL que ejecutaste en la consola de comandos mediante el cliente  
> de consola psql, es por eso que cuando instalaste tuviste que  
> especificar --without-readline, pues no tenias instalada esa librería  
> para utilizar esa opción que viene en la instalación por defecto. Me  
> imagino que su no utilización no tenga algún impacto negativo, pero  
> personalmente yo siempre instalado todas las dependencias por si acaso.

Si pero cuando tomamos una sentencia del historial y queremos editarla y  
usas delete tienes el lío, tienes que borra con backspace  :(

> -----Mensaje original-----
> De: pgsql-es-ayuda-owner(at)postgresql(dot)org  
> [mailto:pgsql-es-ayuda-owner(at)postgresql(dot)org] En nombre de Luis
> Enviado el: domingo, 10 de julio de 2011 04:59:P
> Para: pgsql-es-ayuda(at)postgresql(dot)org
> Asunto: Re: [pgsql-es-ayuda] Instalar postgresql-9.0.4 en debian 6.0
>
> En Sun, 10 Jul 2011 16:55:59 -0400, Lazaro Rubén García Martinez
> <lgarciam(at)vnz(dot)uci(dot)cu> escribió:
>
>> Debes instalar el paquete de desarrollo readline, para CentOS se llama
>> readline-devel pero para Debían desconozco pero puedes buscar en Google.
>
> Eso es. Después tendré problemas con la línea de comandos. No es cierto?
> :(
>
>> -----Mensaje original-----
>> De: pgsql-es-ayuda-owner(at)postgresql(dot)org
>> [mailto:pgsql-es-ayuda-owner(at)postgresql(dot)org] En nombre de Luis
>> Enviado el: domingo, 10 de julio de 2011 04:54:P
>> Para: pgsql-es-ayuda(at)postgresql(dot)org
>> Asunto: Re: [pgsql-es-ayuda] Instalar postgresql-9.0.4 en debian 6.0
>>
>> En Sun, 10 Jul 2011 16:40:30 -0400, Martin Li Causi  
>> <emlicausi(at)gmail(dot)com>
>> escribió:
>>
>>> Hola luis, si bajaste la version de codigo fuente debes poder instarlo
>>> en cualquier distro
>>> Con el procedimiento que describiste
>>> Porque no posteas el error que te da al querer compilarlo?
>>
>> Ahí va...
>>
>> root(at)jerusalen:/home/luis/Descargas/postgresql-9.0.4# ./configure
>> checking build system type... i686-pc-linux-gnu
>> ...
>> checking for -lreadline... no
>> checking for -ledit... no
>> configure: error: readline library not found
>> If you have readline already installed, see config.log for details on  
>> the
>> failure.  It is possible the compiler isn't looking in the proper
>> directory.
>> Use --without-readline to disable readline support.
>> root(at)jerusalen:/home/luis/Descargas/postgresql-9.0.4#
>>
>> Parece que me falta readline?
>>
>> pero bueno me sugiere que haga,
>>
>> ./configure --without-readline
>>
>> entonces hace un montón de cosas. Luego hago,
>>
>> gmake y me dice que no existe la orden. A!, pero... si hago make si
>> pincha
>>
>> bueno está trabajando, el problema era que yo entraba gmake(porque así
>> dice el manual install) y no make
>>
>>
>>>
>>>
>>> El 10/07/11, Luis <esteban(at)princesa(dot)pri(dot)sld(dot)cu> escribió:
>>>> Hola,
>>>>
>>>> Me bajé hace unos días postgresql-9.0.4, y sesintalé la 8.4 que tengo
>>>> en
>>>> el repo para instalarme esta pero como son sus fuentes no corre igual  
>>>> a
>>>> como yo lo hacía en openSUSE, es decir, aquí no pincha,
>>>>
>>>> ./configure
>>>> make
>>>> make install
>>>> ...
>>>>
>>>> lo primero que leí fue que esto no es válido para debian.
>>>>
>>>> Qué debo hacer?
>>>>
>>>> --
>>>> Saludos,
>>>>
>>>> Luis Esteban
>>>> Linuxero por cuenta propia
>>>> Cuba
>>>>
>>>> If Debian GNU/Linux can do it, you can do it too...
>>>>
>>>> --
>>>>
>>>> Este mensaje le ha llegado mediante el servicio de correo electronico
>>>> que
>>>> ofrece Infomed para respaldar el cumplimiento de las misiones del
>>>> Sistema
>>>> Nacional de Salud. La persona que envia este correo asume el  
>>>> compromiso
>>>> de
>>>> usar el servicio a tales fines y cumplir con las regulaciones
>>>> establecidas
>>>>
>>>> Infomed: http://www.sld.cu/
>>>> -
>>>> Enviado a la lista de correo pgsql-es-ayuda
>>>> (pgsql-es-ayuda(at)postgresql(dot)org)
>>>> Para cambiar tu suscripción:
>>>> http://www.postgresql.org/mailpref/pgsql-es-ayuda
>>>>
>>>
>>
>>
>>
>
>
>



-- 
Saludos,

Luis Esteban
Linuxero por cuenta propia
Cuba

If Debian GNU/Linux can do it, you can do it too...

--

Este mensaje le ha llegado mediante el servicio de correo electronico que ofrece Infomed para respaldar el cumplimiento de las misiones del Sistema Nacional de Salud. La persona que envia este correo asume el compromiso de usar el servicio a tales fines y cumplir con las regulaciones establecidas

Infomed: http://www.sld.cu/

In response to

Responses

pgsql-es-ayuda by date

Next:From: LuisDate: 2011-07-10 21:25:00
Subject: Re: Instalar postgresql-9.0.4 en debian 6.0
Previous:From: Martin Li CausiDate: 2011-07-10 21:18:46
Subject: Re: Instalar postgresql-9.0.4 en debian 6.0

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group